const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    ebx_global_2d_to_2d_local = z.x # ebx;
    esi_global_2d_to_2d_local = arg1[48] # esi;
    z.x = 0x7fffffff;
    v2_12 = z.z + 4 # bp+12;
    *v2_12 = *v2_12 % 0x80000000;
    v2_15 = z.y + 4 # bp+15;
    *v2_15 = z.x & *v2_15;
    v2_18 = ebx_global_2d_to_2d_local + 4 # bp+18;
    *v2_18 = z.x & *v2_18;
    v1_5c = __asm_fnstsw(fpsw_global_2d_to_2d_local);
    z.x = z.x & -0x10000 | v1_5c & -0xff01 | v1_5c / 2 & 0x7f00;
    if v1_5c & 256 != 0:;
        pass;
    v1_66 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+66;
    z.x = z.x & -0x10000 | v1_66 & -0xff01 | v1_66 / 2 & 0x7f00;
    v1_72 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+72;
    z.x = z.x & -0x10000 | v1_72 & -0xff01 | v1_72 / 2 & 0x7f00;
    v2_7f = fabsl(0.0);
    fabsl(v2_7f - *((esi_global_2d_to_2d_local - 128)));
    v4_c5 = *((esi_global_2d_to_2d_local - 16));
    v3_c8 = z.z + 8;
    *v3_c8 = v4_c5 * *v3_c8;
    v4_d0 = v4_c5 * v4_c5;
    v4_d2 = v4_d0 * v4_d0;
    v4_d8 = v4_d2 * v4_d2 - 1.0;
    v7_de = v4_d8 * *((esi_global_2d_to_2d_local - 24));
    v7_e3 = v4_d8 * *((esi_global_2d_to_2d_local - 32));
    st7_global_2d_to_2d_local = (v4_d8 - v7_de - v7_e3) * *((esi_global_2d_to_2d_local - 40)) # st7;
    v1_f2 = __asm_fnstsw(fpsw_global_2d_to_2d_local);
    v3_f4 = v1_f2 / 256 & 65;
    z.x = z.x & -0x10000 | v1_f2 & -0xff01 | 256 * v3_f4;
    v1_fb_pre = st7_global_2d_to_2d_local;
    if v3_f4 != 0:;
        # 0xf9;
        v4_f9 = 0.0;
        st7_global_2d_to_2d_local = v4_f9;
    else:;
        v4_f9 = v1_fb_pre;
    # 0xfb;
    *z.y = v4_f9;
    *ebx_global_2d_to_2d_local = st7_global_2d_to_2d_local;
    *z.z = st7_global_2d_to_2d_local;
    z.x = ebx_global_2d_to_2d_local;
    return ebx_global_2d_to_2d_local;


	}